cURL
curl --request PUT \
--url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/security/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"openaiApiKey": {
"value": "some secret api key"
},
"allowedModels": {
"value": [
"gpt4",
"gpt4o"
]
}
}
'import requests
url = "https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/security/secrets"
payload = {
"openaiApiKey": { "value": "some secret api key" },
"allowedModels": { "value": ["gpt4", "gpt4o"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
openaiApiKey: {value: 'some secret api key'},
allowedModels: {value: ['gpt4', 'gpt4o']}
})
};
fetch('https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/security/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"openaiApiKey": {
"value": "some secret api key"
},
"allowedModels": {
"value": [
"gpt4",
"gpt4o"
]
}
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Secrets
Put v2workspaces securitysecrets
Update workspace secrets
PUT
/
v2
/
workspaces
/
{workspaceId}
/
security
/
secrets
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace id
Body
application/json
Show child attributes
Show child attributes
Response
Success Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I